package zero1hd.rhythmbullet.desktop.graphics.ui.pages;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.scenes.scene2d.Group;
import com.badlogic.gdx.scenes.scene2d.Touchable;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.utils.Disposable;

public class Page extends Group implements Disposable {
	private Label pageTitle;
	private TextureRegion background;

	public Page() {
		setSize(Gdx.graphics.getWidth(), Gdx.graphics.getHeight());
		setTouchable(Touchable.childrenOnly);
	}
	
	public Page(String titleText, Skin skin) {
		setSize(Gdx.graphics.getWidth(), Gdx.graphics.getHeight());
		setTouchable(Touchable.childrenOnly);
		pageTitle = new Label(titleText, skin, "large-font", skin.getColor("default"));
		pageTitle.setPosition(18f, getHeight()-pageTitle.getHeight()-15f);
		addActor(pageTitle);
	}
	
	public float getHeightBelowTitle() {
		return pageTitle.getY();
	}
	
	@Override
	public void draw(Batch batch, float parentAlpha) {
		if (background != null) {
			batch.draw(background, getX(), getY(), getWidth(), getHeight());
		}
		super.draw(batch, parentAlpha);
	}
	
	public void addSpaceToTitle(float space) {
		pageTitle.moveBy(space, 0);
	}
	
	public void setTextureBackground(TextureRegion texture) {
		background = texture;
	}
	
	@Override
	public void dispose() {
	}
}
